FUNCTION scale2byte, in_image, low=low, high=high, edge=edge
 
 ; low= the darkest fraction of the image that should be removed
 ;      (eg low=0.3 removes the darkest 30% from the image)
 ; high= the brightest fraction of the image that should be removed
 ;      (eg high=0.005 removes the 0.5% brightest pixels
 ; edge=  number of pixels we should stay away from the edge


 sz=size(in_image)
 image=in_image[edge:(sz[1]-1-edge),edge:(sz[2]-1-edge)]
 
 
	 ; find appropiate intensity range
	   vmin=LONG(min(image))       ; minimal value considered
	   vmax=LONG(max(image))       ; maximal value considered
  	   totpix=n_elements(image)
	   hist=histogram(image,max=vmax,min=vmin,nbins=(vmax-vmin)+1)
	   ;
	   hsum=0.
	   i=0l
	   repeat begin
	      i=i+1l
	      hsum=hsum+hist[i]
	   endrep until (hsum ge (totpix*low)) 
	   valmin=float(i)+vmin
	   ;
	   hsum=0.
	   i=LONG((vmax-vmin)+1)
	   repeat begin
	      i=i-1l
	      hsum=hsum+hist[i]
	   endrep until (hsum ge (totpix*high))
 	   valmax=float(i)+vmin
           ;
	
	   image= float(in_image)-valmin>0
	   image= image*(255./(valmax-valmin)) <255
	   image= BYTE(ROUND(image))

    return, image
END
