;======================== header ===============================================
;+
; NAME:
;   update_list
; PURPOSE:
;   updates list.txt for solar weather browser
;
; CATEGORY:
;   SWB version 1.1.102
; CALLING SEQUENCE:
;   (meant to be used in batchmode)
; INPUTS:
;    line
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;   
; COMMON BLOCKS:
;   none
; SIDE EFFECTS:
;   unknown
; RESTRICTIONS:
;   unknown
; PROCEDURE:
;
; CALLS:
;
; MODIFICATION HISTORY:
;   2006/03/10, Ingo Baumann
;-
;======================== end header ===========================================
Pro update_list, line, pathname, color_table_code, obsdate, ScalFOVtxt

       listfn='list.txt'
 

       jd  = anytim2jd(obsdate)
       ref = anytim2jd('1970-01-01T00:00:00.000Z')
       jd.int=jd.int-ref.int
       jd.frac=jd.frac-ref.frac
       sec= jd.int*24*60*60  + LONG(ROUND(jd.frac*24*60*60))
       
       line=line+'|'+obsdate+'|'+STRTRIM(sec,2) +'|'+pathname+'.zip'+'|'+color_table_code
       
       if (ScalFOVtxt ne '') then line=line+'|'+ScalFOVtxt

       line_exists   = 0
 
       IF file_exist(listfn) THEN BEGIN
         ;
           openr, listfnnr, listfn, /get_lun
           readline=''
           inputlistfn=''
           WHILE not EOF(listfnnr) DO BEGIN
               readf, listfnnr, readline
               inputlistfn=[inputlistfn, readline]
           ENDWHILE
           close, listfnnr & free_lun, listfnnr
           ;
           
           ; check if current line exists already
           line_exists   =max(line    EQ inputlistfn[*])
           
           IF not line_exists THEN inputlistfn=[inputlistfn, line]
           
       ENDIF ELSE BEGIN
           inputlistfn=['',line]
       ENDELSE
       
       IF not line_exists THEN BEGIN
           inputlistfn=inputlistfn[1:*]
           openw, listfnnr, listfn, /get_lun
           for dummy= 0, n_elements(inputlistfn)-1 DO printf, listfnnr, inputlistfn[dummy]
       ENDIF

       close, listfnnr & free_lun, listfnnr

   END
