;======================== header ===============================================
;+
; NAME:
;   solarsoft_latest_events
; PURPOSE:
;   make zip files for Solar Weather Browser based on solarsoft latest
;   events page
;   this version creates string overlays specified in the txt-file and 
;   prevents overwriting of text
; CATEGORY:
;   SWB version 2.00
; CALLING SEQUENCE:
;   (meant to be used in batchmode)
; INPUTS:
;
;
; KEYWORD PARAMETERS:
;   /logfile: to print diagnostics to a logfile
;   (default=stdout=screen)
;   date: date should be in the format '1970-01-02'
;         ATTENTION: date MUST exist in web site:
;         http://www.lmsal.com/solarsoft/latest_events/index.html
;
; OUTPUTS:
;   
; COMMON BLOCKS:
;   none
; SIDE EFFECTS:
;   unknown
; RESTRICTIONS:
;   unknown
; PROCEDURE:
;
; CALLS:
;
;
; TO DO:
;
; MODIFICATION HISTORY:
;   2004/03/09, ver 1.00, David Berghmans
;   2005/08/12, ver 1.10, Thanassis Katsiyannis 
;       (T.Katsiyannis@oma.be), added date keyword, fixed bugs
;   2006/04/10, ver 2.00, Ingo Baumann 
;       string overlays added and overwriting avoided    
;-
;======================== end header===========================================

PRO solarsoft_latest_events

;;year = 2005
;;year_4ch= STRMID(year, 0, 4)
;;moy  = 11
;;moy_2ch = STRMID(moy, 0, 2)
;;dom  = 21
;;dom_2ch = STRMID(dom, 0, 2)


Dir1='/home/sidc/SWBS/out/2006/04/06'

zipfile='SLE20060406.zip'
spawn, 'cp '+Dir1+'/'+zipfile+' temp/'
spawn, 'cd temp | unzip -o '+zipfile

txtfile='temp/SLE20051121.txt'


filetemplate = ASCII_template(txtfile)
print,template
help,filetemplate,/structure

data=Read_ASCII(txtfile,Template=fileTemplate)

print,data


end
